:root{
    --orange:#ff7f50;
    --blue:#7FCDCD;
}



body{
    margin: 0;
    }
section{
    height: 90vh;
    width: 100%;
    background-color: var(--blue);
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    flex-direction: column;
    padding: 20px 0px;
}

.for-rent{
    padding: 20px 0;
}


.carousel {
    
    width: 80%;
    height: calc(80% - 20px);
    position: relative;
    display: flex;
    background-color: white;
    
    

}

.carousel > ul {
    list-style: none;
    width: 50%;
    height: 100%;
display: block;

}


.slide{
    position: absolute;
    inset: 0;
    opacity: 0;
    width: 50%;
    height: 100%;
    transition: 200ms opacity ease-in-out;
    transition-delay: 200ms;
}
.slide > img
{
    display: block;
    width: 100%;
    opacity: 1;
    object-fit: contain;
    object-position: center;
    height: 95%;
    position: absolute;
    padding: 0px 50px;

}

.slide[data-active]{
    opacity: 1;
    transition-delay: 0ms;

}


.carousel-button {
    position: absolute;
    background: none;
    border: none;
    font-size: clamp(2.5rem,3.5vw, 4rem);
    top: 40%;
    color: rgb(206, 206, 206);
    z-index: 2;
    cursor: pointer;
    
     

}



@keyframes buttonColor{
    0% {color:rgb(117, 117, 117);}
    50% {color:rgb(153, 152, 152);}
    100% {color:rgb(196, 196, 196);}
    
    
}

.carousel-button:hover{
    color: rgb(196, 196, 196);
    animation: buttonColor .5s;
}


.carousel-button:focus{
    outline: none;
}

.carousel-button.prev{
    transform: rotate(180deg);
    left: -5%;

}
.carousel-button.next{
    right: -5%;
}

.atv-info{
    display: flex;
    align-items: center;
    line-height: 20px;
    margin: auto;
  
}

.atv-specs{
    width: 100%;

}

.atv-desc{
    color: black;
    font-size: 1rem;
    line-height:25px;
}
@media(max-height:450px){
    .atv-desc{
        line-height: initial !important;
    }
}


#moto-name,
#atv-name{
    border: 2px solid var(--orange);
    text-align: center;
    color: var(--orange);
    font-size: 1.2rem;
    font-weight: 500;
    border-radius: 5px;
    box-shadow: rgba(255, 228, 200, 0.48) 6px 2px 16px 0px, rgba(247, 234, 234, 0.8) -6px -2px 16px 0px;
    padding: 5px;
  }


.checked{
    color: var(--orange);
}

#second-carousel{
    background-color: var(--orange);
}


    @media (max-width:800px){
        .atv-desc{line-height: 20px}
        .carousel-button{
            cursor: none;
        }
        .carousel{
            flex-direction:column;
        }
        .slide{
            width: 100%;
            height: 50%;
        }
        .slide > img{
            padding: 0;
        }
        
        .atv-specs{
            left: 50%;
            position: absolute;
            transform: translateX(-50%);
            margin: auto;
            width: max-content;
        }

      
        .carousel > ul {
            height: 50%;
        }


}

@media (max-width:500px) or (max-height:500px){
    .carousel-button{top: 20%;
    transition: .3s;}
  
}



